# XMLReader::getAttribute

(PHP 5 >= 5.1.0, PHP 7)

XMLReader::getAttribute — Get the value of a named attribute

### Description

public XMLReader::getAttribute ( string `$name` ) : string

Returns the value of a named attribute or `NULL` if the attribute does not exist or not positioned on an element node.

### Parameters

`name`

  The name of the attribute.

### Return Values

The value of the attribute, or `NULL` if no attribute with the given `name` is found or not positioned on an element node.

### Changelog

Version | Description
--- | ---
5.1.3 | Return `NULL` if no attribute found. Previously, returned an empty string.

### See Also

- XMLReader::getAttributeNo() - Get the value of an attribute by index
- XMLReader::getAttributeNs() - Get the value of an attribute by localname and URI